Powerbuilder 11.0 can support nvarchar2 datatype from oracle 11g

Hi,

I am using PB 11.0 with oracle 11g as backend. I want to use
the oracle datatype NVARCHAR2 as a column in datawindow ,
but when i am choosing the NVARCHAR2 column from the table
immediatly the powerbuilder getting terminated.

I want any option in powerbuilder to use this NVARCHAR2
column in datawindow as a column from oracle11 g.

Please provide me the solution if its available.

Thanks
Sebastion Ramesh.
0
Ramesh
8/3/2010 2:28:49 PM
sybase.powerbuilder.datawindow 28057 articles. 5 followers. Follow

4 Replies
3892 Views

Similar Articles

[PageSpeed] 9
Get it on Google Play
Get it on Apple App Store

You'll need 11.5 for that functionality.

-- 
Paul Horan[Sybase]
http://paulhoran.ulitzer.com

<Ramesh Sebastion> wrote in message 
news:4c5827a1.6d8f.1681692777@sybase.com...
> Hi,
>
> I am using PB 11.0 with oracle 11g as backend. I want to use
> the oracle datatype NVARCHAR2 as a column in datawindow ,
> but when i am choosing the NVARCHAR2 column from the table
> immediatly the powerbuilder getting terminated.
>
> I want any option in powerbuilder to use this NVARCHAR2
> column in datawindow as a column from oracle11 g.
>
> Please provide me the solution if its available.
>
> Thanks
> Sebastion Ramesh. 


0
Paul
8/3/2010 3:25:12 PM
Hi ,

After installing Powerbuilder 11.5 and tested the same error
i am getting that is when adding a NVARCHAR2 column into a
datawindow the powerbuilder is getting terminated.

I am using oracle 10g driver utility....whether i need to
use oracle 11g driver utility to connect to database.

Please suggest me a answer for this.

Thanks
Sebastion Ramesh.

> You'll need 11.5 for that functionality.
>
> --
> Paul Horan[Sybase]
> http://paulhoran.ulitzer.com
>
> <Ramesh Sebastion> wrote in message
> news:4c5827a1.6d8f.1681692777@sybase.com...
> > Hi,
> >
> > I am using PB 11.0 with oracle 11g as backend. I want to
> > use the oracle datatype NVARCHAR2 as a column in
> > datawindow , but when i am choosing the NVARCHAR2 column
> > from the table immediatly the powerbuilder getting
> terminated. >
> > I want any option in powerbuilder to use this NVARCHAR2
> > column in datawindow as a column from oracle11 g.
> >
> > Please provide me the solution if its available.
> >
> > Thanks
> > Sebastion Ramesh.
>
>
0
Ramesh
8/4/2010 6:25:12 AM
Actually, I was incorrect...  NVARCHAR2 datatype support was introduced with 
PB9.

Here's the matrix of PB versions and the Oracle versions that are supported.
http://www.sybase.com/detail?id=1011566&contentOnly=true

I would definitely try the 11g driver.  If you still get the error, it might 
be time to open a support case.

-- 
Paul Horan[Sybase]
http://paulhoran.ulitzer.com

<Ramesh Sebastion> wrote in message 
news:4c5907c8.7f87.1681692777@sybase.com...
> Hi ,
>
> After installing Powerbuilder 11.5 and tested the same error
> i am getting that is when adding a NVARCHAR2 column into a
> datawindow the powerbuilder is getting terminated.
>
> I am using oracle 10g driver utility....whether i need to
> use oracle 11g driver utility to connect to database.
>
> Please suggest me a answer for this.
>
> Thanks
> Sebastion Ramesh.
>
>> You'll need 11.5 for that functionality.
>>
>> --
>> Paul Horan[Sybase]
>> http://paulhoran.ulitzer.com
>>
>> <Ramesh Sebastion> wrote in message
>> news:4c5827a1.6d8f.1681692777@sybase.com...
>> > Hi,
>> >
>> > I am using PB 11.0 with oracle 11g as backend. I want to
>> > use the oracle datatype NVARCHAR2 as a column in
>> > datawindow , but when i am choosing the NVARCHAR2 column
>> > from the table immediatly the powerbuilder getting
>> terminated. >
>> > I want any option in powerbuilder to use this NVARCHAR2
>> > column in datawindow as a column from oracle11 g.
>> >
>> > Please provide me the solution if its available.
>> >
>> > Thanks
>> > Sebastion Ramesh.
>>
>> 


0
Paul
8/4/2010 12:17:00 PM
Hi Ramesh;

  It would be advisable to use the O11g driver if possible as they are a 
"matched pair" so to speak. However, what happens when you try an connect to 
Oracle 11g using something like OLE, ADO.net or ODBC for the same data 
column?

Regards ... Chris
President: OSUG / STD Inc.
Blog: http://chrispollach.pbdjmagazine.com
SourceForge: http://sourceforge.net/projects/stdfndclass



"Ramesh Sebastion" wrote in message 
news:4c5907c8.7f87.1681692777@sybase.com...
> Hi ,
>
> After installing Powerbuilder 11.5 and tested the same error
> i am getting that is when adding a NVARCHAR2 column into a
> datawindow the powerbuilder is getting terminated.
>
> I am using oracle 10g driver utility....whether i need to
> use oracle 11g driver utility to connect to database.
>
> Please suggest me a answer for this.
>
> Thanks
> Sebastion Ramesh.
>
>> You'll need 11.5 for that functionality.
>>
>> --
>> Paul Horan[Sybase]
>> http://paulhoran.ulitzer.com
>>
>> <Ramesh Sebastion> wrote in message
>> news:4c5827a1.6d8f.1681692777@sybase.com...
>> > Hi,
>> >
>> > I am using PB 11.0 with oracle 11g as backend. I want to
>> > use the oracle datatype NVARCHAR2 as a column in
>> > datawindow , but when i am choosing the NVARCHAR2 column
>> > from the table immediatly the powerbuilder getting
>> terminated. >
>> > I want any option in powerbuilder to use this NVARCHAR2
>> > column in datawindow as a column from oracle11 g.
>> >
>> > Please provide me the solution if its available.
>> >
>> > Thanks
>> > Sebastion Ramesh.
>>
>> 
0
Chris
8/4/2010 4:21:44 PM
Reply:

Similar Artilces:

Dropping Distributed PowerBuilder Support in PowerBuilder 8.0
I heard a long time ago that distributed PowerBuilder support was going to be dropped in PowerBuilder 8.0 in lieu of using EAServer. Is that true? When is PowerBuilder 8.0 coming out. Target for PB8 is Q1 2001. DPB is not being enhanced but the capabilities will still be there. On Fri, 18 Aug 2000 09:40:03 -0400, Chuck_Kiefriter wrote: >I heard a long time ago that distributed PowerBuilder support was going to >be dropped in PowerBuilder 8.0 in lieu of using EAServer. Is that true? >When is PowerBuilder 8.0 coming out. Chuck, I apologize, but I gave you inac...

which powerbuilder versions support oracle 11g?
i was looking at the version i have now it does not have 11g support i was wondering which versions do? Oracle 11g support was added in PowerBuilder 11.5. http://infocenter.sybase.com/help/topic/com.sybase.dc00357_1150/html/newfeat/BABGIEBC.htm -- John Strano - Sybase Technology Evangelist blog: http://powerbuilder.johnstrano.com/ <zzacreek> wrote in message news:4aa17d38.3e97.1681692777@sybase.com... >i was looking at the version i have now it does not have 11g > support i was wondering which versions do? ...

PowerBuilder 9.0 and PowerBuilder 10.0
Hello NG ,,, I have a strange problem , installed both versions of PowerBuilder on the same machine having Windows XP. under Program files\Sybase9 - > PB9.0 was installed . under Program files\Sybase10- > PB10.0 was installed, I was working on XML workspace in PB9.0 where in the library list PBDOM90.PBD was included. By mistake , I opened the same workspace in PB10.0 and the application was migrated completed. Later coming back to PB9.0 and opening the same workspace , found that , in the system tree PDB files has zero object, It is not showing anything and the appl...

Datawindow's Date argument with PowerBuilder 8.0.1 and Oracle 9i 9.2.0.1
Hi, there: Does anybody know how to pass datetime type data from client side to server side in the datawindow? Can anybody recommend a good book about how PowerBuilder deals with Oracle, datawindow, embedded SQL? Thanks in advance. PB DateTime data type corresponds to the Oracle Date type. You can set a DateTime variable using constants, or use the Date function to make a Date from mm, dd, yy and DateTime function to convert it. What are you not finding in the PB help and online books? "sybase.working" <sybase.working@yahoomail.com> wrote in message news:eYB...

How to connect PowerBuilder to Oracle 11g and which PB version suppports oracle 11g?
Hi All, Please tell me how to connect PowerBuilder to Oracle 11g and which PB version suppports oracle 11g? Currently i am using Power Builder version 9. Thanks Mukul Hi Mukul; FYI: PB version 11.5 and higher has support for the new native O11g driver. You can still use older versions of PB that use the O10g driver over to 11g - but, you will be restricted to 10g functionality. HTH -- Regards ... Chris ISUG - NA RUG Director http://chrispollach.pbdjmagazine.com "mukul" <mukul.trivedi@gmail.com> wrote in message news:3f291629-08c6-446a-8c81...

Powerbuilder 11 and Oracle 8.0.4
Hi, I have just installed Powerbuilder v11.0, and am trying to connect to an Oracle 8.0.4 database. (I am able to connect from PB 7.0, and PB9.0) When I click connect in the Database Profiles screen, I get an unhandled win32 exception error in PB110.EXE [6060]. Does anyone know what is causing this?? Thanks, Nas Nope. You'd hear people screaming if it was something that happened a lot. I'd suggest a re-install, sounds like something got messed up on the install. On Tue, 16 Oct 2007 23:21:54 -0700, nkhan@kembla.com.au wrote: >Hi, >I have just ...

PowerBuilder 9.0.1: Connect to Oracle Using the PowerBuilder Native Driver
Could anyone please email me this Solved Cases? It may be related to our production issue. http://info.sybase.com/resolution/detail.stm?id_number=11000397 http://info.sybase.com/resolution/detail.stm?id_number=11008896 Thanks in advance, John johnshi@yahoo.com The first one only affects the development environment, and the second one is only applicable to datawindows build with the old PBDBMS method. What problems are you having? On 12 Oct 2004 08:56:32 -0700, John Shi wrote: >Could anyone please email me this Solved Cases? It may be >related to our production i...

PowerBuilder Oracle Driver for Oracle 8.0.4 and 8.0.5
You may now register for the beta program for the PowerBuilder O84 native driver at the following URL http://www.sybase.com/products/powerbuilder/oracle/oracle_reg.html Has anyone been using this? Any comments? On Mon, 14 Dec 1998 11:32:31 -0500, in powersoft.public.powerbuilder.database Dan Skibba <skibba@sybase.com> wrote: >You may now register for the beta program for the PowerBuilder O84 native >driver at the following URL >http://www.sybase.com/products/powerbuilder/oracle/oracle_reg.html > > One of the things you do when you sign up for a beta ...

Powerbuilder 9.0 vs. Powerbuilder 8.0
What is the difference in Powerbilder 9.0 and 8.0? I would like to point out that the Appeon newsgroup is monitored by Sybase and Appeon engineering staff who are very knowledgeable about Appeon issues. Question that are purely PowerBuilder-related are best answered by the staff and users of the PowerBuilder newsgroup: sybase.public.powerbuilder.XXXX. Please post to the appropriate newsgroup so you receive the help you desire. Thanks, Julie Jiang Appeon Corporation <dburris@onesolution.com> wrote in message news:40589011.2717.846930886@sybase.com... > What is the diffe...

Powerbuilder 11.2 and Oracle 11
Our organization is moving from Oracle 10G to Oracle 11 and it appears that PB 11.2 does not support Oracle 11. I have found the link noted below, can anyone tell me if this link is out of date or current? http://www.sybase.com/detail?id=1011566 Thanks. You can connect to 11i just fine. -- Terry Dykstra (TeamSybase) http://powerbuilder.codeXchange.sybase.com/ http://casexpress.sybase.com product enhancement requests: http://my.isug.com/cgi-bin/1/c/submit_enhancement "Will" <william.viktora@tc.gc.ca> wrote in message news:e84fd92b-a870-442e-be24-781c6bdfe...

Oracle store procedure problem using Powerbuilder and Oracle 8.0.4.0 Net
Powerbuilder version 6.0.00 / 6.5 Build 444 Oracle Net 8.0.4.0 I found there is problem with Oracle store procedure having more than 6 in parameters. I got GPF error on Window 95 and Dr. Watson error on NT. Also, I found it works find in Oracle Net 8.0.3.0. Is this a bug? Is there any new patch for this if it is a bug. Any recommendation about What version Oracle Net or SQL Net should I used for Oracle server version 8.0.4.0 (I don't think I am using any Oracle 8 new features)? Thanks in advance, Sharon Li If you use PB 6.5, you can try the new Oracle 8 driver: ftp...

PowerBuilder v7.0 build 5031- support for Oracle 10g
Does anyone know if PB 7.0 will work OK with Oracle 10g, most of my users client PC's are installed with Oracle client 9.2, and we are starting to move to Oracle 10g... Thanks Don't know about PB 7, but here is the word on PB 8 and up: http://www.sybase.com/detail?id=1011566 A bit late, but PB 10 CD's make great stocking stuffers (and being on a supported release never hurt either). Doug Porter DailyAccess Corporation <JOhn Chau> wrote in message news:43bd3fcf.15c1.1681692777@sybase.com... > Does anyone know if PB 7.0 will work OK with Oracle 10g, > ...

Does PowerBuilder 8.0.3 Support Oracle 9.2?
Does PowerBuilder 8.0.3 support Oracle 9.2, i.e. Oracle 9i Release 2? If so, what DLLs are required. Yes, the O90 driver does. You must have the 9i client. -- Terry Dykstra (TeamSybase) Please state PB / OS / DB versions in your post. SDN: http://www.sybase.com/developer/ http://www.pb9books.com "Ron Eaton" <rone718@hotmail.com> wrote in message news:ex#wIJn7CHA.52@forums-1-dub... > Does PowerBuilder 8.0.3 support Oracle 9.2, i.e. Oracle 9i Release 2? If > so, what DLLs are required. > > ...

PowerBuilder performance tools for PB 11.5 and Oracle 11g
Hi, I'm not sure how to begin this, but I've been tasked to find a performance tool(s) to measure the new PB 11.5 and Oracle 11g. This tool will measure the speed on retrieving / inserting / deleting data, open / close window ( objects ) and so on. The application will be running on WinXP SP - 2 or 3 on laptop / desktop 1.x to 2.0 Ghz CPU, 1.5 to 2 GB RAM, onboard video card, 150 GB HD. I've been told not to use custom PowerScript to measure the performance on retrieving :(. Please let me know if there is one. Thanks. Eddy Hi Ed; Suggestion: I use ...